Skip to main content
`Ctrl`+`K`

# PetscDualSpace

PETSc object that manages the dual space to a linear space, e.g. the space of evaluation functionals at the vertices of a triangle

## Synopsis

    typedef struct _p_PetscDualSpace *PetscDualSpace;

## See Also

`PetscDualSpaceCreate()`, `PetscSpace`, `PetscSpaceCreate()`, `PetscDualSpaceSetType()`, `PetscDualSpaceType`

## Level

beginner

## Location

include/petscdualspace.h

## Examples

src/dm/impls/plex/tutorials/ex15.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

## Implementations

_p_PetscDualSpace in include/petsc/private/petscfeimpl.h
PetscDualSpace_Lag in include/petsc/private/petscfeimpl.h
PetscDualSpace_Sum in include/petsc/private/petscfeimpl.h
PetscDualSpace_Simple in include/petsc/private/petscfeimpl.h
PetscDualSpace_Refined in src/dm/dt/dualspace/impls/refined/dualspacerefined.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages